package com.goafanti.expenseAccount.bo;

import com.goafanti.common.model.ExpenseAccountLog;

public class OutExpenseAccountLog extends ExpenseAccountLog {
    private String auditorName;

    private String createTimeStr;

    public String getAuditorName() {
        return auditorName;
    }

    public void setAuditorName(String auditorName) {
        this.auditorName = auditorName;
    }

    public String getCreateTimeStr() {
        return createTimeStr;
    }

    public void setCreateTimeStr(String createTimeStr) {
        this.createTimeStr = createTimeStr;
    }

    @Override
    public boolean equals(Object obj) {
        OutExpenseAccountLog log = new OutExpenseAccountLog();
        if (obj instanceof OutExpenseAccountLog) {
            log = (OutExpenseAccountLog) obj;
        }
        if (this.getProcessStatus()==log.getProcessStatus()
            &&this.getStatus()==log.getStatus()
            &&this.getAuditor().equals(log.getAuditor())
            &&this.getCreateTime().getTime()==log.getCreateTime().getTime()) {
            return true;
        }
        return false;
    }
}
